#include "B4RDefines.h"
namespace B4R {
	void B4RStepper::Initialize(Int TotalNumberOfSteps, Int MotorPin1, Int MotorPin2) {
		sp = new (backend) Stepper(TotalNumberOfSteps, MotorPin1, MotorPin2);
	}
	void B4RStepper::Initialize2(Int TotalNumberOfSteps, Int MotorPin1, Int MotorPin2, Int MotorPin3, Int MotorPin4) {
		sp = new (backend) Stepper(TotalNumberOfSteps, MotorPin1, MotorPin2, MotorPin3, MotorPin4);
		
	}
	void B4RStepper::Initialize3(Int TotalNumberOfSteps, Int MotorPin1, Int MotorPin2, Int MotorPin3, Int MotorPin4, Int MotorPin5) {
		sp = new (backend) Stepper(TotalNumberOfSteps, MotorPin1, MotorPin2, MotorPin3, MotorPin4, MotorPin5);
		
	}
	void B4RStepper::SetSpeed(Long Speed) {
		sp->setSpeed(Speed);
	}
	void B4RStepper::Step(Int NumberOfSteps) {
		sp->step(NumberOfSteps);
	}
}